## org.eclipse.datatools.connectivity.oda.util.manifest
Class TraceLogging

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.TraceLogging

    public class TraceLogging

extends java.lang.Object

Configuration of the driver's trace logging settings for a data source extension.

Method Summary
`java.lang.String` `getLogDirectory()` Returns the optional directory for log files.
`java.lang.String` `getLogFileNamePrefix()` Returns the string prefix for driver's log file names.
`java.lang.String` `getLogFormatterClass()` Returns the full class name of a concrete log formatter implementation, suitable for use by the driver-specific logging utility.
`int` `getLogLevel()` Returns the value for the driver's log level, as defined in the ODA data source extension point schema.
`static int` `toLogLevelNumber(java.lang.String logLevelName)` Converts a string that represents a log level name or numeric value to a number.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogLevel

    public int getLogLevel()

  Returns the value for the driver's log level, as defined in the ODA data source extension point schema.

  Returns:
    the log level.

### getLogFileNamePrefix

    public java.lang.String getLogFileNamePrefix()

  Returns the string prefix for driver's log file names.

  Returns:
    the log file name prefix.

### getLogDirectory

    public java.lang.String getLogDirectory()

  Returns the optional directory for log files.

  Returns:
    the log directory, or null if a log directory was not specified.

### getLogFormatterClass

    public java.lang.String getLogFormatterClass()

  Returns the full class name of a concrete log formatter implementation, suitable for use by the driver-specific logging utility.

  Returns:
    the fully qualified class name for the log formatter class, or null if the class was not specified.

### toLogLevelNumber

    public static int toLogLevelNumber(java.lang.String logLevelName)

  Converts a string that represents a log level name or numeric value to a number. Returns the default WARNING log level if given string value is null or not valid.

  Parameters:
    `logLevelName` - A string that represents a log level name or numeric value.
  Returns:
    A log level number.